package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/4/8
 */
@ApiModel(value = "同一类别数据授权对象")
@Data
public class DataAuthAcceptVo {

    @ApiModelProperty(value = "数据资源唯一标识")
    private String dataId;

    @ApiModelProperty(value = "数据资源类型,对应类型码值" +
            "DATA_SECURITY_LEVEL：数据安全级别；" +
            "LEVEL_1_COLUMN_CLASSIFY：字段一级分类；" +
            "LEVEL_2_COLUMN_CLASSIFY：字段二级分类；" +
            "DATA_CLASSIFY：数据分级", dataType = "string")
    private String dataType;

    @ApiModelProperty(value = "数据资源code")
    private String dataCode;

    @ApiModelProperty(value = "数据对应的分级分类标签code")
    private String classifyCode;

    @ApiModelProperty(value = "内部使用唯一标识id")
    private String innerId;


}
