package com.dragoninfo.dcuc.authweb.restcontroller.sub.vo.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/6/11
 */
@ApiModel("人员信息Vo")
@Data
public class AuthUserVo {

    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 身份证
     */
    @ApiModelProperty(value = "身份证")
    private String idcard;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String sex;

    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private String userType;

    /**
     * 警号
     */
    @ApiModelProperty(value = "警号")
    private String policeNumber;

    /**
     * 所在机构id
     */
    @ApiModelProperty(value = "所在机构id")
    private String orgId;

    /**
     * 所在机构编码
     */
    @ApiModelProperty(value = "所在机构编码")
    private String orgCode;

    /**
     * 所在机构名称
     */
    @ApiModelProperty(value = "所在机构名称")
    private String orgName;

    /**
     * 人员身份类型10：民警 15：现役特警 20：辅警 25：外部党政人员 30：在编文员  99999：其他工勤人员
     */
    @ApiModelProperty(value = "人员身份类型")
    private String manType;

    /**
     * 辅警类型 （10：合同工、20：聘用、 30：事业编、 90：其它）
     */
    @ApiModelProperty(value = "辅警类型 （10：合同工、20：聘用、 30：事业编、 90：其它）")
    private String auxiliaryType;

    /**
     * 警种
     */
    @ApiModelProperty(value = "警种")
    private String policeCategory;

    /**
     * 职级
     */
    @ApiModelProperty(value = "职级")
    private String title;

    /**
     * 警衔
     */
    @ApiModelProperty(value = "警衔")
    private String rank;

    /**
     * 业务域标签
     */
    @ApiModelProperty(value = "业务域标签")
    private String policeBusiness;

    /**
     * 删除标识
     */
    @ApiModelProperty(value = "删除标识")
    private String deleted;

    /**
     * 所属区域
     */
    @ApiModelProperty(value = "所属区域")
    private String area;

}
