package com.dragoninfo.dcuc.authweb.restcontroller.auth.vo.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author mazq
 * @date 2021/4/16
 */
@ApiModel(value = "主体授权的数据资源")
@Data
public class SubDataVo {

    @ApiModelProperty(value = "数据资源唯一标识")
    private String dataId;

    @ApiModelProperty(value = "数据类型")
    private String dataType;

    @ApiModelProperty(value = "数据资源code集合")
    private String dataCode;

    @ApiModelProperty(value = "数据对应的分级分类标签code")
    private String classifyCode;

}
